View Issue Details

IDProjectCategoryView StatusLast Update
0006769Talerdeployment and operationspublic2021-09-02 18:14
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006769: debian package of exchange should have socket bound by systemd
DescriptionThat way, we can bind to www-data for the group.
Additional Information[Unit]
Description=Taler Exchange Socket
PartOf=taler-exchange-httpd.service

[Socket]
ListenStream=/home/exchange/sockets/exchange.http
Accept=no
Service=taler-exchange-httpd.service
SocketUser=exchange
SocketGroup=www-data
SocketMode=0660

[Install]
WantedBy=sockets.target
TagsNo tags attached.

Activities

Christian Grothoff

2021-02-24 16:54

manager   ~0017563

[Unit]
Description=Taler exchange HTTPD service
AssertPathExists=/home/exchange/
After=network.target postgres.service
Wants=taler-exchange-wirewatch.service taler-exchange-aggregator.service taler-exchange-transfer.service
Requires=taler-exchange-httpd.socket taler-exchange-secmod-rsa.service taler-exchange-secmod-eddsa.service

Christian Grothoff

2021-04-18 02:23

manager   ~0017759

Fixed in a98e1312..294730cf

Christian Grothoff

2021-09-02 18:14

manager   ~0018230

Fix committed to master branch.

Related Changesets

exchange: master 294730cf

2021-04-18 02:21:03

Christian Grothoff

Details Diff
fix 0006769, plus some related configuration issues and better documentation Affected Issues
0006769
mod - debian/changelog Diff File
mod - debian/etc/taler-exchange.conf Diff File
mod - debian/etc/taler-wire.conf Diff File
mod - debian/taler-exchange.README.Debian Diff File
mod - debian/taler-exchange.postinst Diff File
mod - debian/taler-exchange.postrm Diff File
mod - src/exchange/taler-exchange-httpd.c Diff File

Issue History

Date Modified Username Field Change
2021-02-24 16:54 Christian Grothoff New Issue
2021-02-24 16:54 Christian Grothoff Status new => assigned
2021-02-24 16:54 Christian Grothoff Assigned To => Christian Grothoff
2021-02-24 16:54 Christian Grothoff Note Added: 0017563
2021-04-18 02:23 Christian Grothoff Status assigned => resolved
2021-04-18 02:23 Christian Grothoff Resolution open => fixed
2021-04-18 02:23 Christian Grothoff Fixed in Version => 0.9
2021-04-18 02:23 Christian Grothoff Note Added: 0017759
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:01 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 294730cf
2021-09-02 18:14 Christian Grothoff Note Added: 0018230